<?php

class HomeFeaturedSlide extends Module
{
	private $_html = '';
	private $_postErrors = array();

	function __construct()
	{
		$this->name = 'homefeaturedslide';
	if(_PS_VERSION_ > "1.4.0.0"){
		$this->tab = 'front_office_features';
		$this->author = 'RSI';
		$this->need_instance = 1;
		}else
		{
		$this->tab = 'Home';
		}
		$this->version = '1.6';

		parent::__construct();
		
		$this->displayName = $this->l('Featured Products on the homepage as a slide');
		$this->description = $this->l('Displays Featured Products with text slide - www.catalogo-onlinersi.com.ar');
	}

	function install()
	{
		if (!Configuration::updateValue('HOME_FEATUREDSLIDENBR', 8) OR !parent::install() OR !$this->registerHook('home') OR !$this->registerHook('header'))
			return false;
				if (!Configuration::updateValue('HOME_FEATUREDSLIDE_SPACE', "10"))
			return false;
			if (!Configuration::updateValue('HOME_FEATUREDSLIDE_COLOR', "000000"))
			return false;
			if (!Configuration::updateValue('HOME_FEATUREDSLIDE_PRICE', "FFFFFF"))
			return false;
			if (!Configuration::updateValue('HOME_FEATUREDSLIDE_DESC', "FFFFFF"))
			return false;

			if (!Configuration::updateValue('HOME_FEATUREDSLIDE_WIDTH', "200"))
			return false;
			if (!Configuration::updateValue('HOME_FEATUREDSLIDE_BWIDTH', "1"))
			return false;
			if (!Configuration::updateValue('HOME_FEATUREDSLIDE_BSTYLE', "normal"))
			return false;
			
			
				if(_PS_VERSION_ < "1.5.0.0"){
			if (!Configuration::updateValue('HOME_FEATUREDSLIDE_IMAGE', 'large'))
			return false;
			
			}
			else
			{
					if (!Configuration::updateValue('HOME_FEATUREDSLIDE_IMAGE', 'large_default'))
			return false;
				}
				
				
				
			if (!Configuration::updateValue('HOME_FEATUREDSLIDE_HEIGHT', 540))
			return false;
			if (!Configuration::updateValue('HOME_FEATUREDSLIDE_BCOLOR', "FFFFFF"))
			return false;
			
		return true;
	}

	public function getContent()
	{
		$output = '<h2>'.$this->displayName.'</h2>';
		if (Tools::isSubmit('submitHomeFeaturedSlide'))
		{
			$nbr = intval(Tools::getValue('nbr'));
			$space = Tools::getValue('space');
			$color= Tools::getValue('color');
			$image = Tools::getValue('image');
			$width = Tools::getValue('width');
				$price = Tools::getValue('price');
					$desc = Tools::getValue('desc');
						$bstyle = Tools::getValue('bstyle');
							$bcolor = Tools::getValue('bcolor');
							$bwidth = Tools::getValue('bwidth');
								$height = Tools::getValue('height');
			Configuration::updateValue('HOME_FEATUREDSLIDE_SPACE', $space);
				Configuration::updateValue('HOME_FEATUREDSLIDE_COLOR', $color);
				Configuration::updateValue('HOME_FEATUREDSLIDE_PRICE', $price);
				Configuration::updateValue('HOME_FEATUREDSLIDE_DESC', $desc);
				Configuration::updateValue('HOME_FEATUREDSLIDE_IMAGE', $image);
				Configuration::updateValue('HOME_FEATUREDSLIDE_WIDTH', $width);
				Configuration::updateValue('HOME_FEATUREDSLIDE_BWIDTH', $bwidth);
				Configuration::updateValue('HOME_FEATUREDSLIDE_BSTYLE', $bstyle);
				Configuration::updateValue('HOME_FEATUREDSLIDE_BCOLOR', $bcolor);
				Configuration::updateValue('HOME_FEATUREDSLIDE_HEIGHT', $height);
			if (!$nbr OR $nbr <= 0 OR !Validate::isInt($nbr))
				$errors[] = $this->l('Invalid number of product');
			else
				Configuration::updateValue('HOME_FEATUREDSLIDENBR', $nbr);
			if (isset($errors) AND sizeof($errors))
				$output .= $this->displayError(implode('<br />', $errors));
			else
				$output .= $this->displayConfirmation($this->l('Settings updated'));
		}
		return $output.$this->displayForm();
	}

	public function displayForm()
	{
		$output = '
		<link rel="stylesheet" href="../modules/homefeaturedslide/css/colorpicker.css" type="text/css" />
	
		<script type="text/javascript" src="../modules/homefeaturedslide/js/colorpicker.js"></script>
		<script type="text/javascript" src="../modules/homefeaturedslide/js/eye.js"></script>
		<script type="text/javascript" src="../modules/homefeaturedslide/js/utils.js"></script>
		<script type="text/javascript" src="../modules/homefeaturedslide/js/layout.js?ver=1.0.2"></script>
		<form action="'.$_SERVER['REQUEST_URI'].'" method="post">
			<fieldset><legend><img src="'.$this->_path.'logo.gif" alt="" title="" />'.$this->l('Settings').'</legend>
				<p>'.$this->l('In order to add products to your homepage, just add them to the "home" category.').'</p><br />
				<label>'.$this->l('Number of product displayed').'</label>
				<div class="margin-form">
					<input type="text" size="5" name="nbr" value="'.Tools::getValue('nbr', Configuration::get('HOME_FEATUREDSLIDENBR')).'" />
					<p class="clear">'.$this->l('The number of products displayed on homepage (default: 10)').'</p>
					
				</div>
				<label>'.$this->l('Image width').'</label>
				<div class="margin-form">
					<input type="text" size="10" name="width" value="'.Tools::getValue('width', Configuration::get('HOME_FEATUREDSLIDE_WIDTH')).'" />
				
					
				</div>
				
				<label>'.$this->l('Image type:').'</label>
					<div class="margin-form"  >
					
					 <select name="image" id="image">
 <option value="home"'.((Configuration::get('HOME_FEATUREDSLIDE_IMAGE') == "home") ? 'selected="selected"' : '').'>home</option>
  <option value="small"'.((Configuration::get('HOME_FEATUREDSLIDE_IMAGE') == "small") ? 'selected="selected"' : '').'>small</option>
   <option value="large"'.((Configuration::get('HOME_FEATUREDSLIDE_IMAGE') == "large") ? 'selected="selected"' : '').'>large</option>
 <option value="home_default"'.((Configuration::get('HOME_FEATUREDSLIDE_IMAGE') == "home_default") ? 'selected="selected"' : '').'>home (PS 1.5)</option>
  <option value="small_default"'.((Configuration::get('HOME_FEATUREDSLIDE_IMAGE') == "small_default") ? 'selected="selected"' : '').'>small (PS 1.5)</option>
   <option value="large_default"'.((Configuration::get('HOME_FEATUREDSLIDE_IMAGE') == "large_default") ? 'selected="selected"' : '').'>large (PS 1.5)</option>

	</select>
				
					</div>
					<label>'.$this->l('Border style').'</label>
					<div class="margin-form"  >
					
					 <select name="bstyle" id="bstyle">
 <option value="solid"'.((Configuration::get('HOME_FEATUREDSLIDE_BSTYLE') == "solid") ? 'selected="selected"' : '').'>solid</option>
  <option value="dashed"'.((Configuration::get('HOME_FEATUREDSLIDE_BSTYLE') == "dashed") ? 'selected="selected"' : '').'>dashed</option>
   <option value="dotted"'.((Configuration::get('HOME_FEATUREDSLIDE_BSTYLE') == "dotted") ? 'selected="selected"' : '').'>dotted</option>
    <option value="double"'.((Configuration::get('HOME_FEATUREDSLIDE_BSTYLE') == "double") ? 'selected="selected"' : '').'>double</option>


	</select>
				
					</div>
					<label>'.$this->l('Total module height').'</label>
				<div class="margin-form">
					<input type="text" size="10" name="height" value="'.Tools::getValue('height', Configuration::get('HOME_FEATUREDSLIDE_HEIGHT')).'" />
				
					
				</div>
					<label>'.$this->l('Border width').'</label>
				<div class="margin-form">
					<input type="text" size="10" name="bwidth" value="'.Tools::getValue('bwidth', Configuration::get('HOME_FEATUREDSLIDE_BWIDTH')).'" />
				
					
				</div>
				<label>'.$this->l('Border color').'</label>
				<div class="margin-form">
					
			
					<div id="customWidget">
						<input type="text" maxlength="6"  name="bcolor" size="6" id="colorpickerField4" value="'.Tools::getValue('bcolor', Configuration::get('HOME_FEATUREDSLIDE_BCOLOR')).'" />	<p class="clear">'.$this->l('Color of the text (default 000000)').'</p>
					
					</div>
				</div>
				<label>'.$this->l('Background color').'</label>
				<div class="margin-form">
					
			
					<div id="customWidget">
						<input type="text" maxlength="6"  name="color" size="6" id="colorpickerField1" value="'.Tools::getValue('color', Configuration::get('HOME_FEATUREDSLIDE_COLOR')).'" />	<p class="clear">'.$this->l('Color of the text (default 000000)').'</p>
					
					</div>
				</div>
				<label>'.$this->l('Price color').'</label>
				<div class="margin-form">
					
			
					<div id="customWidget">
						<input type="text" maxlength="6"  name="price" size="6" id="colorpickerField2" value="'.Tools::getValue('price', Configuration::get('HOME_FEATUREDSLIDE_PRICE')).'" />	<p class="clear">'.$this->l('Color of the text (default 000000)').'</p>
					
					</div>
				</div>
				<label>'.$this->l('Desc color').'</label>
				<div class="margin-form">
				
			<div id="customWidget">
						<input type="text" maxlength="6"  name="desc" size="6" id="colorpickerField3" value="'.Tools::getValue('desc', Configuration::get('HOME_FEATUREDSLIDE_DESC')).'" />	<p class="clear">'.$this->l('Color of the text (default 000000)').'</p>
					
					</div>
					
				</div>
				<label>'.$this->l('Image space').'</label>
				<div class="margin-form">
					<input type="text" size="10" name="space" value="'.Tools::getValue('space', Configuration::get('HOME_FEATUREDSLIDE_SPACE')).'" />
			
					
				</div>
				<center><input type="submit" name="submitHomeFeaturedSlide" value="'.$this->l('Save').'" class="button" /></center>
						<center><a href="../modules/homefeaturedslide/moduleinstall.pdf">README</a></center><br/>
						<center><a href="../modules/homefeaturedslide/termsandconditions.pdf">TERMS</a></center><br/>
			</fieldset>
		</form>
		<form action="https://www.paypal.com/cgi-bin/webscr" method="post">
			<fieldset><legend><img src="'.$this->_path.'logo.gif" alt="" title="" />'.$this->l('Contribute').'</legend>
				<p class="clear">'.$this->l('You can contribute with a donation if our free modules and themes are usefull for you. Clic on the link and support us!').'</p>
				<p class="clear">'.$this->l('For more modules & themes visit: www.catalogo-onlinersi.com.ar').'</p>
<input type="hidden" name="cmd" value="_s-xclick">
<input type="hidden" name="hosted_button_id" value="HMBZNQAHN9UMJ">
<input type="image" src="https://www.paypalobjects.com/WEBSCR-640-20110401-1/en_US/i/btn/btn_donateCC_LG.gif" border="0" name="submit" alt="PayPal - The safer, easier way to pay online!">
<img alt="" border="0" src="https://www.paypalobjects.com/WEBSCR-640-20110401-1/en_US/i/scr/pixel.gif" width="1" height="1">
	</fieldset>
</form>';
		return $output;
	}

	function hookHome($params)
	{
		global $smarty;
		
		$nb = intval(Configuration::get('HOME_FEATUREDSLIDENBR'));
		$image = Configuration::get('HOME_FEATUREDSLIDE_IMAGE');
			$priceco = Configuration::get('HOME_FEATUREDSLIDE_PRICE');
		$desc = Configuration::get('HOME_FEATUREDSLIDE_DESC');
		$width = Configuration::get('HOME_FEATUREDSLIDE_WIDTH');
		$height = Configuration::get('HOME_FEATUREDSLIDE_HEIGHT');
	
		if (_PS_VERSION_ < "1.5.0.0"){
		$category = new Category(1);	
		$productss = $category->getProducts(intval($params['cookie']->id_lang), 1, ($nb ? $nb : 10));
		}
		else{
		$category = new Category(Context::getContext()->shop->getCategory(), Configuration::get('PS_LANG_DEFAULT'));
			
		$productss = $category->getProducts($params['cookie']->id_lang, 1, ($nb ? $nb : 10));
		}
		$smarty->assign(array(
	
			'image' => $image,
			'width' => $width,
			'priceco' => $priceco,
			'height' => $height,
			'desc' => $desc,
			'productss' => $productss,
			'currency' => new Currency(intval($params['cart']->id_currency)),
	

		));
		return $this->display(__FILE__, 'homefeaturedslide.tpl');
	}
	function hookHeader($params)
	{
		global $smarty;
		
		$color = Configuration::get('HOME_FEATUREDSLIDE_COLOR');
		$space = Configuration::get('HOME_FEATUREDSLIDE_SPACE');
			$priceco = Configuration::get('HOME_FEATUREDSLIDE_PRICE');
		$bstyle = Configuration::get('HOME_FEATUREDSLIDE_BSTYLE');
		$bcolor = Configuration::get('HOME_FEATUREDSLIDE_BCOLOR');

$bwidth = Configuration::get('HOME_FEATUREDSLIDE_BWIDTH');

		$width2 = Configuration::get('HOME_FEATUREDSLIDE_WIDTH')+20;
			$width22 = Configuration::get('HOME_FEATUREDSLIDE_WIDTH')+2;
		$width3 = Configuration::get('HOME_FEATUREDSLIDE_WIDTH')+$space;
		$psversion = _PS_VERSION_;
		$smarty->assign(array(
			
			'color' => $color,
			'bcolor' => $bcolor,
			'bstyle' => $bstyle,
			'bwidth' => $bwidth,
			'priceco' => $priceco,
			'width2' => $width2,
			'width22' => $width22,
			'width3' => $width3,
			'psversion' => $psversion,
			'space' => $space
		
		));
		
		return $this->display(__FILE__, 'homefeaturedslide-header.tpl');
	}

}
